## defendguin 0.0.11

=== Makefile ===
# Makefile for defendguin

# by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/defendguin/

# November 6, 1999 - January 29, 2006


# User-definable stuff:

CFLAGS=-Wall -O2
#DATA_PREFIX=$(PWD)/data/
PREFIX=/usr/local
MAN_PREFIX=$(PREFIX)
BIN_PREFIX=$(PREFIX)/bin
DATA_PREFIX=$(PREFIX)/share/defendguin/
JOY=YES


# Other definitions:

SDL_CFLAGS := $(shell sdl-config --cflags)
SDL_LDFLAGS := $(shell sdl-config --libs) -L/usr/X11R6/lib
MIXER=-lSDL_mixer
NOSOUNDFLAG=__SOUND
CFLAGS=-Wall $(SDL_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" -D$(NOSOUNDFLAG) \
	-DJOY_$(JOY)
SDL_LIB=$(SDL_LDFLAGS) $(MIXER)


# Make commands:

all:	defendguin

nosound:
	make defendguin MIXER= NOSOUNDFLAG=NOSOUND

install:	defendguin
	install -d $(DATA_PREFIX)
	cp -R data/* $(DATA_PREFIX)
	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
	cp defendguin $(BIN_PREFIX)/
	chmod a+rx,g-w,o-w $(BIN_PREFIX)/defendguin
	cp src/defendguin.6 $(MAN_PREFIX)/man/man6/
	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man/man6/defendguin.6

uninstall:
	-rm -r $(DATA_PREFIX)
	-rm $(PREFIX)/bin/defendguin
	-rm $(PREFIX)/man/man6/defendguin.6

clean:
	-rm defendguin
	-rm obj/*.o


# Main executable:

defendguin:	obj/defendguin.o
	$(CC) $(CFLAGS) obj/defendguin.o -o defendguin $(SDL_LIB) -lm


# Main object:

obj/defendguin.o:	src/defendguin.c
	$(CC) $(CFLAGS)	src/defendguin.c -c -o obj/defendguin.o

## defendguin 0.0.12

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
 	cp defendguin $(BIN_PREFIX)/
 	chmod a+rx,g-w,o-w $(BIN_PREFIX)/defendguin
+	-mkdir -p $(MAN_PREFIX)/man/man6/
 	cp src/defendguin.6 $(MAN_PREFIX)/man/man6/
 	chmod a+rx,g-w,o-w $(MAN_PREFIX)/man/man6/defendguin.6

=== debian/changelog ===
defendguin (0.0.12-6) unstable; urgency=medium

  * apply patch from Santiago Vila (closes: #806014)
  * remove unneeded versioned depends
  * spelling corrections with codespell
  * add Homepage and secure Vcs entries
  * remove unused loading-orig.bmp.gz
  * updated Standards-Version to 3.9.8 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Thu, 14 Jul 2016 14:54:29 +0200

defendguin (0.0.12-5) unstable; urgency=low

  * updated Standards-Version to 3.9.6 (no changes)
  * enable hardening with debhelper 9
  * pass CFLAGS and LDFLAGS to upstream Makefile

 -- Christian T. Steigies <cts@debian.org>  Fri, 24 Oct 2014 22:07:24 +0200

defendguin (0.0.12-4) unstable; urgency=low

  * specify DATA_PREFIX during build

 -- Christian T. Steigies <cts@debian.org>  Wed, 26 Oct 2011 21:09:15 +0200

defendguin (0.0.12-3) unstable; urgency=low

  * repackage with debhelper 8
  * Switch to dpkg-source 3.0 (quilt) format
  * updated Standards-Version to 3.9.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Mon, 24 Oct 2011 23:21:12 +0200

defendguin (0.0.12-2) unstable; urgency=low

  * add rules after needed CDBS includes (closes: #556163)

 -- Christian T. Steigies <cts@debian.org>  Sat, 14 Nov 2009 12:57:04 +0100

defendguin (0.0.12-1) unstable; urgency=low

  * new upstream version
  * switch to cdbs and dpatch
  * remove unnecessary encoding from desktop file

 -- Christian T. Steigies <cts@debian.org>  Fri, 13 Nov 2009 20:22:01 +0100

defendguin (0.0.11-7) unstable; urgency=low

  * do not apply obsolete patches (closes: #548331)
  * apply manpage patch manually
  * do not call obsolete dh_desktop
  * add ${misc:Depends} to binary package's debian/control entry
  * updated Standards-Version to 3.8.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 04 Oct 2009 19:20:10 +0200

defendguin (0.0.11-6) unstable; urgency=low

  * rebuild on sid to prevent segfault in main menu

 -- Christian T. Steigies <cts@debian.org>  Sun, 15 Jun 2008 22:59:15 +0200

defendguin (0.0.11-5) unstable; urgency=low

  * install a desktop file (closes: #478878)

 -- Christian T. Steigies <cts@debian.org>  Sun, 15 Jun 2008 18:19:49 +0200

defendguin (0.0.11-4) unstable; urgency=low

  * updated Standards-Version to 3.7.3, use section Games/Action according
    to the menu policy
  * do not ignore make clean error
  * use debian/compat and use compat version 5
  * call dh_desktop
  * modify build-depends for libsdl1.2-dev as suggested by lintian

 -- Christian T. Steigies <cts@debian.org>  Mon, 24 Mar 2008 20:32:42 +0100

defendguin (0.0.11-3) unstable; urgency=low

  * do not ship l2r.sh (closes: #372922)
  * updated Standards-Version to 3.7.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Tue, 13 Jun 2006 00:14:04 +0200

defendguin (0.0.11-2) unstable; urgency=low

  * capitalize menu entry title (closes: #357683)
  * updated Standards-Version to 3.7.0 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Wed,  3 May 2006 20:34:06 +0000

defendguin (0.0.11-1) unstable; urgency=low

  * new upstream version (closes: #350777)
  * updated watch file
  * docs location has changed, update debian/*docs
  * src location has changed, update patch application
  * patch the manpage to point to the correct location of the data files on
    a debian system
  * use unpatch target, I should really switch to cdbs...
  * use current debhelper
  * updated Standards-Version to 3.6.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Tue, 31 Jan 2006 22:20:57 +0100

defendguin (0.0.10-4) unstable; urgency=low

  * copyright is with the author

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 16:49:19 +0100

defendguin (0.0.10-3) unstable; urgency=low

  * added watch file
  * fix lintian warnings by rebuilding and:
    - installing menu icon to /usr/share/pixmaps
    - quoting all strings in menu 
  * updated Standards-Version to 3.6.1.0 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 15:13:18 +0100

defendguin (0.0.10-2) unstable; urgency=low

  * disable sound when no audio device is available (closes: #149704)
  * build-depends on latest SDL-* packages which should fix the 
    libvorbis problem (closes: #154704)

 -- Christian T. Steigies <cts@debian.org>  Sun, 29 Sep 2002 19:47:45 -0400

defendguin (0.0.10-1) unstable; urgency=low

  * new upstream version, includes smartbomb patch (closes: #154547)
    and transparency patch (closes: #152935)

 -- Christian T. Steigies <cts@debian.org>  Sun, 28 Jul 2002 10:34:36 -0400

defendguin (0.0.9-5) unstable; urgency=low

  * smartbomb patch from Oohara Yuuma (closes:#154547) 

 -- Christian T. Steigies <cts@debian.org>  Sat, 27 Jul 2002 23:47:17 -0400

defendguin (0.0.9-4) unstable; urgency=low

  * re-add debian/menu (closes: #145341)

 -- Christian T. Steigies <cts@debian.org>  Sun,  5 May 2002 22:22:22 -0400

defendguin (0.0.9-3) unstable; urgency=low

  * defendguin-data: Replaces: defendguin (<< 0.0.9-1)

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Jan 2002 12:04:34 -0500

defendguin (0.0.9-2) unstable; urgency=low

  * update description (closes: #128309)
  * update Build-Depends to latest sdl packages

 -- Christian T. Steigies <cts@debian.org>  Tue,  8 Jan 2002 21:40:50 -0500

defendguin (0.0.9-1) unstable; urgency=low

  * new upstream version (bugfix which was included in previous debian
    package plus Makefile change which makes packaging easier, no code
    change)
  * re-create rules, split data files into separate package
  * remove Build-Recommends, as long as the icon does not change,
    imagemagick is not needed anymore

 -- Christian T. Steigies <cts@debian.org>  Sun,  6 Jan 2002 17:31:23 -0500

defendguin (0.0.8-3) unstable; urgency=low

  * do NOT Build-Depend on menu nor imagemagick, since these packages can
    not even be installed on some architectures
  * Build-Recommends imagemagick and menu, as a reminder to myself



=== debian/control ===
Source: defendguin
Section: games
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Build-Depends: debhelper (>= 9),
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl1.2-dev
Standards-Version: 3.9.8
Homepage: http://www.newbreedsoftware.com/defendguin/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/defendguin.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/defendguin.git

Package: defendguin
Architecture: any
Depends: defendguin-data, ${misc:Depends}, ${shlibs:Depends}
Description: defender clone with penguins
 "Defendguin" is based loosely on William's classic arcade game, "Defender."
 Some recognizable stars in the realm of modern operating systems should be
 fairly obvious.
 .
 A certain monopoly-owning bad guy has been cloned hundreds of times by
 an unknown alien race.  They are now attacking earth, kidnapping little
 penguinoids and converting them into mutants.  Helping them on their way
 are some other nasty alien ships, of which there are plenty...

Package: defendguin-data
Architecture: all
Depends: ${misc:Depends}
Replaces: defendguin (<< 0.0.9-1)
Description: Data files for defendguin
 "Defendguin" is based loosely on William's classic arcade game, "Defender."
 Some recognizable stars in the realm of modern operating systems should be
 fairly obvious.
 .
 A certain monopoly-owning bad guy has been cloned hundreds of times by
 an unknown alien race.  They are now attacking earth, kidnapping little
 penguinoids and converting them into mutants.  Helping them on their way
 are some other nasty alien ships, of which there are plenty...
 .
 This package contains sound and image files for defendguin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make -j1 DEB_CFLAGS="$(CFLAGS)" DATA_PREFIX=/usr/share/games/defendguin/

override_dh_auto_install:
	install -d debian/tmp/usr/games
	install -d debian/tmp/usr/share/pixmaps
	install -d debian/tmp/usr/share/applications
	make install \
          BIN_PREFIX=debian/tmp/usr/games \
          MAN_PREFIX=debian/tmp/usr/share \
          DATA_PREFIX=debian/tmp/usr/share/games/defendguin/
        # remove unused image:
	rm debian/tmp/usr/share/games/defendguin/images/loader/loading-orig.bmp.gz

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# Site		Directory		Pattern			Version	Script
#http://nbswebfx.com/downloads/defendguin-0.0.10.tar.gz
#ftp://ftp.sonic.net/pub/users/nbs/unix/x/defendguin/src/defendguin-([\d\.]+)\.tar\.gz debian uupdate

ftp://ftp.billsgames.com/unix/x/defendguin/src/defendguin-([\d\.]+)\.tar\.gz debian uupdate
